Sep 282012
 

今天Folsom发布, 发现发布的过程也改进不少.发布的公告的水平大大提高.

http://wiki.openstack.org/ReleaseNotes/Folsom

这个描述已经很详细,尤其是已知的问题.

https://launchpad.net/nova/folsom/2012.2

替换一下,nova改成 quantum, glance, horizon, keystone, glance, cinder, 你就可以看到各个版本的新增加的功能

谈谈我对Folsom的印象

对于Quantum,其实是没有达到预期。所以Folsom,你还是只能用nova network。

这位朋友做了一个很详细的比较:http://www.sebastien-han.fr/blog/2012/09/28/quantum-plugin-comparison/

所以我们也只能指望G版本的发布,能让Qauntum和Horizon很好的一起工作,这样才算是真正能生产使用。

对于Cinder,其实比想象中要好,完全可以替换掉nova volume。

Keystone,还有很多的改进空间,目前对roles的授权,还是很麻烦的。现在看来就算是G版本,也不见得可以实现在dashbaord里对用户进行授权。

Glance,基本是比较完善,可以和swift很好的一起工作。对于多个glance的部署,好像已经开始考虑。

Nova,这个是历来发布版本的重点,估计已经算是比较完善。把volume和network去掉后,应该就更加稳定。

Horizon, dashboard的开发,其实挺累的,各个组件的变化,都会反映到这来。要支持各种新的功能。用户对Openstack的了解,大家都是通过Dashboard来了解。未来集成权限管理和网络。

所以大家如果测试Folsom,那么就先别玩Quantum,如果不是技术狂人,那么就再等待半年吧。

现在看来Essex,其实还是做的很不错。Folsom更类似G版本的一个预览版。

  12 Responses to “Openstack Folsom 发布”

  1. 那就不着急 升级了
    另外 这个版本 Ubuntu12。04 里面 会不会直接升级上去?那样juice悲剧了哦。

  2. Folsom用作企业私有云有问题吗?一直等待这个版本,准备开干了。

    • 个人观点,现在开始研究,应该是没问题,半年后,使用G版本。目前Folsom版本还有不少问题,不过提前熟悉还是挺好的。

  3. 打算将运行的OpenStack群集从 Essex升级到Folsom,但一直难以找到相关的资料,不知道沙克兄能否告知一二?目前只发现http://wiki.openstack.org/ReleaseNotes/Folsom中有一些升级的注释,而且只有swift部分讲得比较详细,nova部分说得就不很清楚。如果用于生产,升级就是一个非常现实的问题,不可能每出一个新版本就重装一遍,但无论是官方还是民间对这个问题讲得都不多,大都是如何安装之类的文档。希望沙克兄能够多介绍一些这方面的信息。谢谢!

    • 对于openstack来说,目前就swift可以升级,别的组件,基本还是很难去升级。
      目前发行版,redhat,suse,ubuntu,都很头疼这个升级问题。半年升级一次,谁也受不了。
      目前的情况,其实Essex版本,看来还是不错的,没太多必要去升级folsom版本。folsom版本的功能,估计还需要2个版本,才能真正稳定下来。

      • 谢谢回复!

        不过,我们的OpenStack群集下一步打算投入运营,所以还是想要利用这个机会测试一下如何升级。Swift已升级成功,但nova升级后要求重启系统,导致虚拟机找不到nova-volume的盘(逻辑卷),安装dashboard后,也不正常,打不开登录页面。虚拟机倒是正常运行,但现在只能用命令行了,dashboard用不了,不知道dashboard应如何调试?

        • 如果你真的要运营,那么就别用nova volume,这个是bug很多的。要测试就只能看新版本的cinder。

          • 是啊,nova-volume问题很多,只要网络连接中断就会找不到盘,最头痛的是这种状态系统无法反映,数据库存储的是过时的信息,需要自己去查找实际状态并且要手工更新数据库,这是想要升级的原因。正在试着从nova-volume迁移到cinder。

        • 我们的生产环境也要从 E 升级到 F 版本,你说的horizon升级的问题,可能是像python-novaclient、python-keystoneclient、python-glanceclient等client组件版本不兼容导致,可以试一下2012.2 的相关client组件。另外,apache2的error.log中错误日志也能找到一些端倪。 我们可以互相交流一下:QQ 377204671 呵呵~

  4. 您好,请问如果需要配置主控,计算,swift proxy,swfit 四类节点,需要注意哪些?我是ubuntu12.04配置E版,双节点成功了,现在要在服务器CentOS6.3上配置F版,网络模块用nova-network。

 Leave a Reply

(required)

(required)